# 32/64bit spec-file
#
%define name	qxmledit
%define version	0.8.5
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simple XML editor
URL:		http://code.google.com/p/qxmledit/
Group:		Editors
License:	GPL v3
Source:		%{name}-%{version}.tar.xz
BuildRequires: 	qt4-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
QXmlEdit is a simple XML editor written in qt4. It is a swiss army knife; its main 
features are unusual data visualization modes, it has some nice XML manipulation 
and presentation features and it is multi platform.

This is one of the few graphical Open Source XSD viewers.

%prep
%setup -q

%build
%qmake_qt4 QXmlEdit.pro
%make \
	QXMLEDIT_INST_DATA_DIR=%{_datadir}/%{name} \
	QXMLEDIT_INST_DIR=%{_bindir} \
	QXMLEDIT_INST_DOC_DIR=%{_datadir}/doc/%{name} \
	QXMLEDIT_INST_LIB_DIR=%{_libdir} \
	QXMLEDIT_INST_INCLUDE_DIR=%{_includedir}/%{name}


%install
%make INSTALL_ROOT=%{buildroot} install
rm -fr %{buildroot}%{_includedir} %{buildroot}%{_libdir}/*.so

ln -sf %{_bindir}/QXmlEdit %{buildroot}%{_bindir}/%{name}

%__install -Dm 0644 ./src/images/icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -Dm 0644 ./src/images/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# menu
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
command="QXmlEdit" \
needs="x11" \
section="Editors" \
title="QXmlEdit" \
icon="%{name}.png" \
longtitle="Qt XML Text Editor"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=QXmlEdit
Comment=Qt XML Text Editor
Exec=QXmlEdit %u
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Qt;Utility;TextEditor;X-MandrivaLinux-MoreApplications-Development-Tools;X-MandrivaLinux-MoreApplications-Editors;
EOF

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING DISTRIBUTING GPLV3.txt LGPLV3.txt INSTALL NEWS README ROADMAP TODO doc/QXmlEdit_manual.pdf
%{_bindir}/QXmlEdit
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/%{name}.*
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/libQXmlEdit*.so.*
%{_datadir}/%{name}

%changelog
* Sat May 18 2013 Texstar <texstar at gmail.com> 0.8.5-2pclos2013
- fix rpm group Editors

* Wed Mar 27 2013 pinoc <vogtpet at gmail.com> 0.8.5-1pclos2013
- 0.8.5 and ported to 32
- fixed setup and files section

* Fri Jan 20 2012 Neal <nealbrks0 at gmail dot com> 0.5-1pclos2011
- process

* Mon Jan 16 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5-1_archie_2011
- update
